Package com.meterware.httpunit.scripting

# Interface Input

All Superinterfaces:
  `IdentifiedDelegate`, `NamedDelegate`

All Known Implementing Classes:
  `FormControl.Scriptable`

public interface Input extends IdentifiedDelegate, NamedDelegate
An interface for scriptable delegates which represent form controls.

Author:
  Russell Gold

## Method Summary

Modifier and Type
Method
Description
`void`
`click()`
simulate a click
`Object`
`get(String propertyName)`
`void`
`removeAttribute(String attributeName)`
remove the given attribute
`void`
`sendOnChangeEvent()`
fire a on change event
`void`
`set(String propertyName, Object value)`
set the given property to the given value
`void`
`setAttribute(String attributeName, Object value)`
set the given attribute to the given value

### Methods inherited from interface com.meterware.httpunit.scripting.IdentifiedDelegate

`getID`

### Methods inherited from interface com.meterware.httpunit.scripting.NamedDelegate

`getName`

## Method Details

### get

Object get(String propertyName)

### set

void set(String propertyName, Object value)
set the given property to the given value

Parameters:
  `propertyName` -
  `value` -

### setAttribute

void setAttribute(String attributeName, Object value)
set the given attribute to the given value

Parameters:
  `attributeName` -
  `value` -
Since:
  1.7

### removeAttribute

void removeAttribute(String attributeName)
remove the given attribute

Parameters:
  `attributeName` -
Since:
  1.7

### click

void click() throws IOException, SAXException
simulate a click

Throws:
  `IOException`
  `SAXException`

### sendOnChangeEvent

void sendOnChangeEvent()
fire a on change event